System Requirements

For our Apps

These are the recommended system requirements for using our Atlassian Apps:

  • Chrome – Last two stable releases
  • Safari – Version 7.0 or higher
  • Firefox – Last two stable releases
  • Internet Explorer – Version 11 or higher
  • Edge – Chromium-based versions